Subject: Re: linux-next: manual merge of the scsi tree with the tip tree

From: James Bottomley <[email-masked]>
Date: Fri, 20 Jan 2017 07:52:16 -0500

On Fri, 2017-01-20 at 07:35 +0100, Ingo Molnar wrote:
> * Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi James,
> > 
> > Today's linux-next merge of the scsi tree got a conflict in:
> > 
> >   drivers/scsi/mpt3sas/mpt3sas_scsih.c
> > 
> > between commit:
> > 
> >   e963b7088dac ("scsi: mpt3sas: Fix hang on ata passthru commands")
> > 
> > from the tip tree and commit:
> > 
> >   ffb584565894 ("scsi: mpt3sas: fix hang on ata passthrough
> > commands")
> > 
> > from the scsi tree.
> > 
> > I fixed it up (slightly different versions of the same patch - I 
> > used the latter version) and can carry the fix as necessary. This 
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your 
> > tree is submitted  or merging.  You may also want to consider 
> > cooperating with the maintainer of the conflicting tree to minimise 
> > any particularly complex conflicts.
> 
> I only had that patch for testing and it went into the -next branch 
> by accident - I have removed it so the conflict should be gone next 
> time -next is integrated.

Thanks for testing.  There was a last minute fuss about whether the
flag should be checked using a test_bit rather than a straight read,
which is the difference between the two versions.

James